bspc config border_width 5
bspc config window_gap 10
-bspc config top_padding 27
+bspc config top_padding 20
bspc config split_ratio 0.5
bspc config borderless_monocle true
bspc config gapless_monocle true
bspc config focus_by_distance true
-# bspc monitor -d I II III IV V VI VII VIII IX X
-bspc monitor -d I II III IV V
+bspc monitor -d I II III IV V VI VII VIII IX X
bspc rule -a Firefox desktop=^2 focus=on
bspc rule -a Thunderbird desktop=^3 focus=on
+++ /dev/null
-#! /bin/sh
-
-if [ $(pgrep -cx panel) -gt 1 ] ; then
- printf "%s\n" "The panel is already running." >&2
- exit 1
-fi
-
-trap 'trap - TERM; kill 0' INT TERM QUIT EXIT
-
-[ -e "$PANEL_FIFO" ] && rm "$PANEL_FIFO"
-mkfifo "$PANEL_FIFO"
-
-bspc config top_padding $PANEL_HEIGHT
-bspc control --subscribe > "$PANEL_FIFO" &
-#xtitle -sf 'T%s' > "$PANEL_FIFO" &
-#clock -sf 'S%a %H:%M' > "$PANEL_FIFO" &
-
-pamixer --get-volume > /tmp/volinfo
-if $(pamixer --get-mute) ; then
- echo ⮝ > /tmp/spkicon
-else
- echo ⮟ > /tmp/spkicon
-fi
-conky > "$PANEL_FIFO" &
-
-. panel_colors
-
-cat "$PANEL_FIFO" | panel_bar | bar -g x$PANEL_HEIGHT -f "$PANEL_FONT_FAMILY1","$PANEL_FONT_FAMILY2" -F "$COLOR_FOREGROUND" -B "$COLOR_BACKGROUND" &
-
-wait
+++ /dev/null
-#! /bin/sh
-#
-# Example panel for LemonBoy's bar
-
-. panel_colors
-
-num_mon=$(bspc query -M | wc -l)
-
-while read -r line ; do
- case $line in
- S*)
- # clock output
- sys_infos="%{F$COLOR_STATUS_FG}%{B$COLOR_STATUS_BG} ${line#?} %{B-}%{F-}"
- ;;
- T*)
- # xtitle output
- title="%{F$COLOR_TITLE_FG}%{B$COLOR_TITLE_BG} ${line#?} %{B-}%{F-}"
- ;;
- W*)
- # bspwm internal state
- wm_infos=""
- IFS=':'
- set -- ${line#?}
- while [ $# -gt 0 ] ; do
- item=$1
- name=${item#?}
- case $item in
- M*)
- # active monitor
- if [ $num_mon -gt 1 ] ; then
- wm_infos="$wm_infos %{F$COLOR_ACTIVE_MONITOR_FG}%{B$COLOR_ACTIVE_MONITOR_BG} ${name} %{B-}%{F-} "
- fi
- ;;
- m*)
- # inactive monitor
- if [ $num_mon -gt 1 ] ; then
- wm_infos="$wm_infos %{F$COLOR_INACTIVE_MONITOR_FG}%{B$COLOR_INACTIVE_MONITOR_BG} ${name} %{B-}%{F-} "
- fi
- ;;
- O*)
- # focused occupied desktop
- wm_infos="${wm_infos}%{F$COLOR_FOCUSED_OCCUPIED_FG}%{B$COLOR_FOCUSED_OCCUPIED_BG}%{U$COLOR_FOREGROUND}%{+u} ${name} %{-u}%{B-}%{F-}"
- ;;
- F*)
- # focused free desktop
- wm_infos="${wm_infos}%{F$COLOR_FOCUSED_FREE_FG}%{B$COLOR_FOCUSED_FREE_BG}%{U$COLOR_FOREGROUND}%{+u} ${name} %{-u}%{B-}%{F-}"
- ;;
- U*)
- # focused urgent desktop
- wm_infos="${wm_infos}%{F$COLOR_FOCUSED_URGENT_FG}%{B$COLOR_FOCUSED_URGENT_BG}%{U$COLOR_FOREGROUND}%{+u} ${name} %{-u}%{B-}%{F-}"
- ;;
- o*)
- # occupied desktop
- wm_infos="${wm_infos}%{F$COLOR_OCCUPIED_FG}%{B$COLOR_OCCUPIED_BG} ${name} %{B-}%{F-}"
- ;;
- f*)
- # free desktop
- wm_infos="${wm_infos}%{F$COLOR_FREE_FG}%{B$COLOR_FREE_BG} ${name} %{B-}%{F-}"
- ;;
- u*)
- # urgent desktop
- wm_infos="${wm_infos}%{F$COLOR_URGENT_FG}%{B$COLOR_URGENT_BG} ${name} %{B-}%{F-}"
- ;;
- L*)
- # layout
- wm_infos="$wm_infos %{F$COLOR_LAYOUT_FG}%{B$COLOR_LAYOUT_BG} ${name} %{B-}%{F-}"
- ;;
- esac
- shift
- done
- ;;
- esac
- printf "%s\n" "%{l}${wm_infos}%{c}${title}%{r}${sys_infos}"
-done
+++ /dev/null
-COLOR_FOREGROUND='#FFfefdfb'
-COLOR_BACKGROUND='#FF2f2b30'
-COLOR_ACTIVE_MONITOR_FG='#FF2f2b30'
-COLOR_ACTIVE_MONITOR_BG='#FFcf0f38'
-COLOR_INACTIVE_MONITOR_FG='#FFfefdfb'
-COLOR_INACTIVE_MONITOR_BG='#FF2f2b30'
-COLOR_FOCUSED_OCCUPIED_FG='#FFfefdfb'
-COLOR_FOCUSED_OCCUPIED_BG='#FF7e7d82'
-COLOR_FOCUSED_OCCUPIED_UL='#FFbcbac2'
-COLOR_FOCUSED_FREE_FG='#FFfefdfb'
-COLOR_FOCUSED_FREE_BG='#FF65625e'
-COLOR_FOCUSED_FREE_UL='#FFa39e98'
-COLOR_FOCUSED_URGENT_FG='white'
-COLOR_FOCUSED_URGENT_BG='#FFF9A299'
-COLOR_FOCUSED_URGENT_UL='white'
-COLOR_OCCUPIED_FG='#FFfefdfb'
-COLOR_OCCUPIED_BG='#FF2f2b30'
-COLOR_FREE_FG='#FF6F7277'
-COLOR_FREE_BG='#FF2f2b30'
-COLOR_URGENT_FG='#FFF9A299'
-COLOR_URGENT_BG='#FF2f2b30'
-COLOR_LAYOUT_FG='#FFfefdfb'
-COLOR_LAYOUT_BG='#FF2f2b30'
-COLOR_TITLE_FG='#FFfefdfb'
-COLOR_TITLE_BG='#FF2f2b30'
-COLOR_STATUS_FG='#FFfefdfb'
-COLOR_STATUS_BG='#FF2f2b30'
-COLOR_STATUS_IC='#FFcf0f38'
--- /dev/null
+#! /bin/sh
+
+if [ $(pgrep -cx panel) -gt 1 ] ; then
+ printf "%s\n" "The panel is already running." >&2
+ exit 1
+fi
+
+trap 'trap - TERM; kill 0' INT TERM QUIT EXIT
+
+[ -e "$PANEL_FIFO" ] && rm "$PANEL_FIFO"
+mkfifo "$PANEL_FIFO"
+
+bspc config top_padding $PANEL_HEIGHT
+bspc control --subscribe > "$PANEL_FIFO" &
+#xtitle -sf 'T%s' > "$PANEL_FIFO" &
+#clock -sf 'S%a %H:%M' > "$PANEL_FIFO" &
+
+#pamixer --get-volume > /tmp/volinfo
+#if $(pamixer --get-mute) ; then
+ echo ⮝ > /tmp/spkicon
+#else
+# echo ⮟ > /tmp/spkicon
+#fi
+conky > "$PANEL_FIFO" &
+
+. panel_colors
+
+cat "$PANEL_FIFO" | panel_bar | bar -g x$PANEL_HEIGHT -f "$PANEL_FONT_FAMILY1","$PANEL_FONT_FAMILY2" -F "$COLOR_FOREGROUND" -B "$COLOR_BACKGROUND" &
+
+wait
--- /dev/null
+#! /bin/sh
+#
+# Example panel for LemonBoy's bar
+
+. panel_colors
+
+num_mon=$(bspc query -M | wc -l)
+
+while read -r line ; do
+ case $line in
+ S*)
+ # clock output
+ sys_infos="%{F$COLOR_STATUS_FG}%{B$COLOR_STATUS_BG} ${line#?} %{B-}%{F-}"
+ ;;
+ T*)
+ # xtitle output
+ title="%{F$COLOR_TITLE_FG}%{B$COLOR_TITLE_BG} ${line#?} %{B-}%{F-}"
+ ;;
+ W*)
+ # bspwm internal state
+ wm_infos=""
+ IFS=':'
+ set -- ${line#?}
+ while [ $# -gt 0 ] ; do
+ item=$1
+ name=${item#?}
+ case $item in
+ M*)
+ # active monitor
+ if [ $num_mon -gt 1 ] ; then
+ wm_infos="$wm_infos %{F$COLOR_ACTIVE_MONITOR_FG}%{B$COLOR_ACTIVE_MONITOR_BG} ${name} %{B-}%{F-} "
+ fi
+ ;;
+ m*)
+ # inactive monitor
+ if [ $num_mon -gt 1 ] ; then
+ wm_infos="$wm_infos %{F$COLOR_INACTIVE_MONITOR_FG}%{B$COLOR_INACTIVE_MONITOR_BG} ${name} %{B-}%{F-} "
+ fi
+ ;;
+ O*)
+ # focused occupied desktop
+ wm_infos="${wm_infos}%{F$COLOR_FOCUSED_OCCUPIED_FG}%{B$COLOR_FOCUSED_OCCUPIED_BG}%{U$COLOR_FOREGROUND}%{+u} ${name} %{-u}%{B-}%{F-}"
+ ;;
+ F*)
+ # focused free desktop
+ wm_infos="${wm_infos}%{F$COLOR_FOCUSED_FREE_FG}%{B$COLOR_FOCUSED_FREE_BG}%{U$COLOR_FOREGROUND}%{+u} ${name} %{-u}%{B-}%{F-}"
+ ;;
+ U*)
+ # focused urgent desktop
+ wm_infos="${wm_infos}%{F$COLOR_FOCUSED_URGENT_FG}%{B$COLOR_FOCUSED_URGENT_BG}%{U$COLOR_FOREGROUND}%{+u} ${name} %{-u}%{B-}%{F-}"
+ ;;
+ o*)
+ # occupied desktop
+ wm_infos="${wm_infos}%{F$COLOR_OCCUPIED_FG}%{B$COLOR_OCCUPIED_BG} ${name} %{B-}%{F-}"
+ ;;
+ f*)
+ # free desktop
+ wm_infos="${wm_infos}%{F$COLOR_FREE_FG}%{B$COLOR_FREE_BG} ${name} %{B-}%{F-}"
+ ;;
+ u*)
+ # urgent desktop
+ wm_infos="${wm_infos}%{F$COLOR_URGENT_FG}%{B$COLOR_URGENT_BG} ${name} %{B-}%{F-}"
+ ;;
+ L*)
+ # layout
+ wm_infos="$wm_infos %{F$COLOR_LAYOUT_FG}%{B$COLOR_LAYOUT_BG} ${name} %{B-}%{F-}"
+ ;;
+ esac
+ shift
+ done
+ ;;
+ esac
+ printf "%s\n" "%{l}${wm_infos}%{c}${title}%{r}${sys_infos}"
+done
--- /dev/null
+COLOR_FOREGROUND='#FFfefdfb'
+COLOR_BACKGROUND='#FF2f2b30'
+COLOR_ACTIVE_MONITOR_FG='#FF2f2b30'
+COLOR_ACTIVE_MONITOR_BG='#FFcf0f38'
+COLOR_INACTIVE_MONITOR_FG='#FFfefdfb'
+COLOR_INACTIVE_MONITOR_BG='#FF2f2b30'
+COLOR_FOCUSED_OCCUPIED_FG='#FFfefdfb'
+COLOR_FOCUSED_OCCUPIED_BG='#FF7e7d82'
+COLOR_FOCUSED_OCCUPIED_UL='#FFbcbac2'
+COLOR_FOCUSED_FREE_FG='#FFfefdfb'
+COLOR_FOCUSED_FREE_BG='#FF65625e'
+COLOR_FOCUSED_FREE_UL='#FFa39e98'
+COLOR_FOCUSED_URGENT_FG='white'
+COLOR_FOCUSED_URGENT_BG='#FFF9A299'
+COLOR_FOCUSED_URGENT_UL='white'
+COLOR_OCCUPIED_FG='#FFfefdfb'
+COLOR_OCCUPIED_BG='#FF2f2b30'
+COLOR_FREE_FG='#FF6F7277'
+COLOR_FREE_BG='#FF2f2b30'
+COLOR_URGENT_FG='#FFF9A299'
+COLOR_URGENT_BG='#FF2f2b30'
+COLOR_LAYOUT_FG='#FFfefdfb'
+COLOR_LAYOUT_BG='#FF2f2b30'
+COLOR_TITLE_FG='#FFfefdfb'
+COLOR_TITLE_BG='#FF2f2b30'
+COLOR_STATUS_FG='#FFfefdfb'
+COLOR_STATUS_BG='#FF2f2b30'
+COLOR_STATUS_IC='#FFcf0f38'
urxvt
super + space
- dmenu_run -fn "Source Code Pro for Powerline:bold:pixelsize=10" -h 28 -nb \#2f2b30 -nf \#fefdfb -sb \#cf0f38 -sf \#fefdfb
+ dmenu_run -fn "-*-termsyn-medium-r-normal-*-13-*-*-*-c-*-*-1" -h 20 -nb \#2f2b30 -nf \#fefdfb -sb \#cf0f38 -sf \#fefdfb
super + x
slimlock
XF86KbdBrightnessUp
kbdlight up
-XF86AudioRaiseVolume
- pulseaudio-ctl up
+#XF86AudioRaiseVolume
+# pulseaudio-ctl up
-XF86AudioLowerVolume
- pulseaudio-ctl down
+#XF86AudioLowerVolume
+# pulseaudio-ctl down
-XF86AudioMute
- pulseaudio-ctl mute
+#XF86AudioMute
+# pulseaudio-ctl mute
XF86AudioPlay
mpc toggle
XF86AudioNext
mpc next
-#XF86AudioRaiseVolume
-# pamixer --increase 5;\
-# pamixer --get-volume > /tmp/volinfo
+XF86AudioRaiseVolume
+ pamixer --increase 5;\
+ pamixer --get-volume > /tmp/volinfo
-#XF86AudioLowerVolume
-# pamixer --decrease 5;\
-# pamixer --get-volume > /tmp/volinfo
+XF86AudioLowerVolume
+ pamixer --decrease 5;\
+ pamixer --get-volume > /tmp/volinfo
-#XF86AudioMute
-# pamixer --toggle-mute;\
-# if $(pamixer --get-mute) ; then;\
-# echo ⮝ > /tmp/spkicon;\
-# else;\
-# echo ⮟ > /tmp/spkicon;\
-# fi
+XF86AudioMute
+ pamixer --toggle-mute;\
+ if $(pamixer --get-mute) ; then;\
+ echo ⮝ > /tmp/spkicon;\
+ else;\
+ echo ⮟ > /tmp/spkicon;\
+ fi
xrdb -merge ~/.Xresources
xsetroot -cursor_name left_ptr & # set the cursor icon
-#feh --bg-scale ~/Pictures/the-witcher-3-wild-hunt-10.jpg
+feh --bg-scale ~/pics/fall.jpg
xset +fp /usr/share/fonts/local
xset +fp ~/.fonts
xset fp rehash
xset b off
-xrdb -merge ~/.theme/base16-thewildhunt.dark.xresources
+#xrdb -merge ~/.theme/base16-thewildhunt.dark.xresources
compton &
-#xbacklight -set `xbacklight -get`
+xbacklight -set 50
synclient TapButton2=3
synclient TapButton3=2
synclient HorizTwoFingerScroll=1
# exec gnome-session
# exec startkde
-exec startxfce4
+#exec startxfce4
# ...or the Window Manager of your choice
sxhkd &
source ~/.profile
-#exec bspwm
+panel &
+exec bspwm
-# [[ -z $DISPLAY && $XDG_VTNR -eq 1 ]] && exec startx
+[[ -z $DISPLAY && $XDG_VTNR -eq 1 ]] && exec startx
--- /dev/null
+# Base16 Shell
+#BASE16_SCHEME="thewildhunt"
+#BASE16_SHELL="$HOME/.theme/base16-$BASE16_SCHEME.dark.sh"
+#[[ -s $BASE16_SHELL ]] && . $BASE16_SHELL
+
+PATH="$HOME/.local/bin:$PATH"
+#PATH="`ruby -e 'print Gem.user_dir'`/bin:$PATH"
+PATH="/opt/android-sdk/platform-tools:$PATH"
+#source ~/.profile
+
+# take
+function take() {
+ mkdir -p $1
+ cd $1
+}
+
+function y() {
+ cd ~/music
+ youtube-dl --extract-audio --audio-format mp3 --audio-quality 0 $1
+}
+
+#eval $(/usr/bin/gnome-keyring-daemon --start --components=gpg,pkcs11,secrets,ssh) ; export GPG_AGENT_INFO SSH_AUTH_SOCK
+
+++ /dev/null
-# Base16 Shell
-BASE16_SCHEME="thewildhunt"
-BASE16_SHELL="$HOME/.theme/base16-$BASE16_SCHEME.dark.sh"
-[[ -s $BASE16_SHELL ]] && . $BASE16_SHELL
-
-PATH="$HOME/.local/bin:$PATH"
-PATH="`ruby -e 'print Gem.user_dir'`/bin:$PATH"
-PATH="/opt/android-sdk/platform-tools:$PATH"
-
-# take
-function take() {
- mkdir -p $1
- cd $1
-}
-
-function y() {
- cd ~/music
- youtube-dl --extract-audio --audio-format mp3 --audio-quality 0 $1
-}
-
-eval $(/usr/bin/gnome-keyring-daemon --start --components=gpg,pkcs11,secrets,ssh) ; export GPG_AGENT_INFO SSH_AUTH_SOCK
-